{% extends "_layout_events_search.html" %}

{% block sectionabout %}
                    <p>
                        {{ _('This module displays various statistics of IDEA events calculated for given network and optional time interval and with emphasis on said event timelines. These statistics are calculated directly from IDEA event database, so depending on the size of the selected network, the interval and number of related IDEA events these visualisations may take some time, even on the order of minutes. Please, be patient. Events are included into the result based on their detection time.') | safe }}
                    </p>
{% endblock sectionabout %}

{% block sectionsearchresult %}

            <!-- Search result dump - BEGIN ----------------------------------->
            <script>
                var search_result_statistics = {{ statistics | tojson }};
            </script>
            <!-- Search result dump - END ------------------------------------->

            <div class="row">
                <div class="col-lg-12">

                    <div class="panel panel-default">
                        <div class="panel-heading">
                            <h3 class="panel-title">{{ _('Result summary') }}</h3>
                        </div>
                        <table class="table">
                            <tr>
                                <th>{{ _('Number of events') }}:</th>
                                <td>{{ babel_format_decimal(items_count) }}</td>
                            </tr>
                            <tr>
                                <th>{{ _('Time interval') }}:</th>
                                <td>{{ babel_format_datetime(statistics['timeline_cfg']['dt_from']) }} - {{ babel_format_datetime(statistics['timeline_cfg']['dt_to']) }}</td>
                            </tr>
                            <tr>
                                <th>{{ _('Time interval delta') }}:</th>
                                <td>{{ babel_format_timedelta(statistics['timeline_cfg']['dt_to'] - statistics['timeline_cfg']['dt_from']) }}</td>
                            </tr>
                            {%- if permission_can('admin') and 'timeline_cfg' in statistics %}
                            <tr>
                                <th><span class="pull-right">{{ get_icon('role-admin') }}</span>{{ _('Timeline steps') }}:</th>
                                <td>{{ babel_format_decimal(statistics['timeline_cfg']['count']) }} x {{ statistics['timeline_cfg']['step'].__str__() }}</td>
                            </tr>
                            {%- endif %}
                        </table>
                    </div>

                </div> <!-- /.col-lg-12 -->
            </div> <!-- /.row -->

            <p><strong>{{ macros_site.render_endpoint_link('events.search', query_params, label = _("View these results on event search page"), with_icon = True) }}</strong></p>

            <!-- Tab navigation - BEGIN --------------------------------------->
            <ul class="nav nav-tabs nav-tabs-tooltipped" role="tablist">
                <li role="presentation" class="text-center active">
                    <a role="tab" data-toggle="tab" href="#tab-stats-totals" class="chart-tab">
                        {{ _('# events') }}
                    </a>
                </li>
                {{
                    macros_chart.render_dashboard_nav(
                        statistics,
                        'stats'
                    )
                }}
            </ul>
            <!-- Tab navigation - END ----------------------------------------->

            <!-- Tab panels - BEGIN ------------------------------------------->
            <div class="tab-content">

                <!-- Tab panel - BEGIN ---------------------------------------->
                <div role="tabpanel" class="tab-pane fade in active" id="tab-stats-totals">
                    <h4>{{ _('Total event counts') }}</h4>
                    <p>
                        {{ _('This view shows total numbers of IDEA events related to given network.') | safe }}
                    </p>

                    {%-
                        set data_series = [
                            ['cnt_events', _('total events')]
                        ]
                    %}
                    {{
                        macros_chart.render_chart_timeline_list(
                            statistics,
                            'search_result_statistics',
                            'totals',
                            data_series
                        )
                    }}
                </div> <!-- /.tabpanel #tab-stats-totals -->

                {{
                    macros_chart.render_dashboard_panels(
                        statistics,
                        'search_result_statistics',
                        'stats'
                    )
                }}
            </div>
            <!-- Tab panels - END --------------------------------------------->

            {%- if permission_can('developer') %}
            <hr>
            {{ macros_site.render_raw_var('search_result', search_result) }}
            {{ macros_site.render_raw_var('statistics', statistics) }}
            {%- endif %}

{% endblock sectionsearchresult %}
